All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface LocalizedResource

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, java.rmi.Remote, Root, SecondaryType

    public interface LocalizedResource

extends SecondaryType

Contains the localized values for a particular locale as defined by the LocalId attribute. Locale information contained in the LocalizedResource is used when displaying information contained in the associated LocalizedObject. The Value attribute contains the localized version of the value for the property specified by the Name attribute.

Attributes of LocalizedResource are:

- `Value`
- `IsURL`
- `LocaleID`

Associations of LocalizedResource are:

- `LocalizedObject`

## Usage

To create an instance of this LocalizedResource, use the `factory` create methods.
Example: create a LocalizedResource with name "LocalizedResource_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     LocalizedResource myObject = (LocalizedResource) factory.createComplexMetadataObject(objectStore, "LocalizedResource_Object", MetadataObjects.LOCALIZEDRESOURCE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_LOCALIZEDOBJECT_NAME` Constant used for the name of the LocalizedObject association.
`static java.lang.String` | `ATTRIBUTE_ISURL_NAME` Constant used for the name of the IsURL attribute.
`static java.lang.String` | `ATTRIBUTE_LOCALEID_NAME` Constant used for the name of the LocaleID attribute.
`static java.lang.String` | `ATTRIBUTE_VALUE_NAME` Constant used for the name of the Value attribute.

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`int` | `getIsURL()` Gets the `int` value of `IsURL`
`int` | `getIsURLState()` Gets the Metadata State of `IsURL`
`java.lang.String` | `getLocaleID()` Gets the `String` value of `LocaleID`
`int` | `getLocaleIDMaxLength()` Gets the maximum length of `LocaleID`
`int` | `getLocaleIDState()` Gets the Metadata State of `LocaleID`
`LocalizedType` | `getLocalizedObject()` Gets the `LocalizedType` for `LocalizedObject`
`AssociationList` | `getLocalizedObjects()` Gets the Association list of `LocalizedObjects`
`AssociationList` | `getLocalizedObjects(boolean fGoToServer)` Gets the Associationlist of `LocalizedObjects`
`java.lang.String` | `getValue()` Gets the `String` value of `Value`
`int` | `getValueMaxLength()` Gets the maximum length of `Value`
`int` | `getValueState()` Gets the Metadata State of `Value`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are: `LocalizedObject`
`void` | `setIsURL(int inIsURL)` Sets the `IsURL` value and sets the state to MetadataState.LOCAL.
`void` | `setIsURL(int inIsURL, int state)` Sets the `IsURL` Metadata State.
`void` | `setIsURL(java.lang.String inIsURL)` Sets the `IsURL` value and sets the state to MetadataState.LOCAL.
`void` | `setIsURL(java.lang.String inIsURL, int state)` Sets the `IsURL` value and Metadata State.
`void` | `setIsURLState(int state)` Sets the Metadata State of `IsURL`.
`void` | `setLocaleID(java.lang.String inLocaleID)` Sets the `LocaleID` value and sets the state to MetadataState.LOCAL.
`void` | `setLocaleID(java.lang.String inLocaleID, int state)` Sets the `LocaleID` Metadata State.
`void` | `setLocaleIDState(int state)` Sets the Metadata State of `LocaleID`.
`void` | `setLocalizedObject(LocalizedType inObject)` Sets the `LocalizedObjects` list 0th element to be `inObject`.
`void` | `setLocalizedObjects(AssociationList list)` Sets the `LocalizedObjects` list to be `list`.
`void` | `setLocalizedObjects(AssociationList list, int state)` Sets the `LocalizedObjects` list to be `list`.
`void` | `setValue(java.lang.String inValue)` Sets the `Value` value and sets the state to MetadataState.LOCAL.
`void` | `setValue(java.lang.String inValue, int state)` Sets the `Value` Metadata State.
`void` | `setValueState(int state)` Sets the Metadata State of `Value`.

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_VALUE_NAME

    static final java.lang.String ATTRIBUTE_VALUE_NAME

  Constant used for the name of the Value attribute.

  Value: This attribute contains either the localized version of the property specified by the Name attribute or a URL used to find the localized value.

  See Also:
    Constant Field Values

### ATTRIBUTE_ISURL_NAME

    static final java.lang.String ATTRIBUTE_ISURL_NAME

  Constant used for the name of the IsURL attribute.

  IsURL: This indicates whether the Value attribute contains a localized string or a URL.

  See Also:
    Constant Field Values

### ATTRIBUTE_LOCALEID_NAME

    static final java.lang.String ATTRIBUTE_LOCALEID_NAME

  Constant used for the name of the LocaleID attribute.

  LocaleID: This is either either 'la' or 'la_co' where la is a ISO 639 language code (http://www.ics.uci.edu/pub/ietf/http/related/iso639.txt) and co is a ISO 3166 country code (http://www.chemie.fu-berlin.de/diverse/doc/ISO_3166.html)

  See Also:
    Constant Field Values

### ASSOCIATION_LOCALIZEDOBJECT_NAME

    static final java.lang.String ASSOCIATION_LOCALIZEDOBJECT_NAME

  Constant used for the name of the LocalizedObject association.

  LocalizedObject: LocalizedObject is the object for which the localized values contained by or referenced by this LocalizedResource apply.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:
  `LocalizedObject`

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getValue

    java.lang.String getValue()
                              throws java.rmi.RemoteException

  Gets the `String` value of `Value`

  Returns:
    The `Value`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getValueState

    int getValueState()
                      throws java.rmi.RemoteException

  Gets the Metadata State of `Value`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getValueMaxLength

    int getValueMaxLength()
                          throws java.rmi.RemoteException

  Gets the maximum length of `Value`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsURL

    int getIsURL()
                 throws java.rmi.RemoteException

  Gets the `int` value of `IsURL`

  Returns:
    The `IsURL`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsURLState

    int getIsURLState()
                      throws java.rmi.RemoteException

  Gets the Metadata State of `IsURL`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLocaleID

    java.lang.String getLocaleID()
                                 throws java.rmi.RemoteException

  Gets the `String` value of `LocaleID`

  Returns:
    The `LocaleID`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLocaleIDState

    int getLocaleIDState()
                         throws java.rmi.RemoteException

  Gets the Metadata State of `LocaleID`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLocaleIDMaxLength

    int getLocaleIDMaxLength()
                             throws java.rmi.RemoteException

  Gets the maximum length of `LocaleID`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLocalizedObjects

    AssociationList getLocalizedObjects()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Association list of `LocalizedObjects`

  Returns:
    The AssociationList of `LocalizedObjects` which can be of type:
    LocalizedType
    PropertyGroup
    PropertyType
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLocalizedObject

    LocalizedType getLocalizedObject()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the `LocalizedType` for `LocalizedObject`

  Returns:
    The `LocalizedType` ( `null` if not set ) of `LocalizedObject` which can be of type:
    LocalizedType
    PropertyGroup
    PropertyType
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLocalizedObjects

    AssociationList getLocalizedObjects(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `LocalizedObjects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `LocalizedObjects` which can be of type:
    LocalizedType
    PropertyGroup
    PropertyType
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setValue

    void setValue(java.lang.String inValue)
                  throws java.rmi.RemoteException

  Sets the `Value` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inValue` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setValue

    void setValue(java.lang.String inValue,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Value` Metadata State.

  Parameters:
    `inValue` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setValueState

    void setValueState(int state)
                       throws java.rmi.RemoteException

  Sets the Metadata State of `Value`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsURL

    void setIsURL(int inIsURL)
                  throws java.rmi.RemoteException

  Sets the `IsURL` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsURL` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsURL

    void setIsURL(int inIsURL,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `IsURL` Metadata State.

  Parameters:
    `inIsURL` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsURL

    void setIsURL(java.lang.String inIsURL)
                  throws java.rmi.RemoteException

  Sets the `IsURL` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsURL` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsURL

    void setIsURL(java.lang.String inIsURL,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `IsURL` value and Metadata State.

  Parameters:
    `inIsURL` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsURLState

    void setIsURLState(int state)
                       throws java.rmi.RemoteException

  Sets the Metadata State of `IsURL`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocaleID

    void setLocaleID(java.lang.String inLocaleID)
                     throws java.rmi.RemoteException

  Sets the `LocaleID` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inLocaleID` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocaleID

    void setLocaleID(java.lang.String inLocaleID,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `LocaleID` Metadata State.

  Parameters:
    `inLocaleID` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocaleIDState

    void setLocaleIDState(int state)
                          throws java.rmi.RemoteException

  Sets the Metadata State of `LocaleID`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocalizedObjects

    void setLocalizedObjects(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `LocalizedObjects` list to be `list`. Objects of which can be of type:
  LocalizedType
  PropertyGroup
  PropertyType
  AbstractProperty
  Property
  PrototypeProperty
  AttributeProperty
  AssociationProperty

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocalizedObjects

    void setLocalizedObjects(AssociationList list,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `LocalizedObjects` list to be `list`. Objects of which can be of type:
  LocalizedType
  PropertyGroup
  PropertyType
  AbstractProperty
  Property
  PrototypeProperty
  AttributeProperty
  AssociationProperty

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocalizedObject

    void setLocalizedObject(LocalizedType inObject)
                            throws java.rmi.RemoteException

  Sets the `LocalizedObjects` list 0th element to be `inObject`.

  Parameters:
    `inObject` - LocalizedType
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.